# Profiles

### Retrieve profiles

The `getAllProfiles` function can be used to return all eSIM profiles created for the device. An error is returned if the request can't be fulfilled.&#x20;

<pre class="language-kotlin"><code class="lang-kotlin">Gigastore.getAllProfiles { profiles, error ->
    Log.i("GigastoreSDK", "Profiles: $profiles")
<strong>    Log.i("GigastoreSDK", "Error: $error")
</strong>})
</code></pre>

### Profile Object

The profile contains several identifiers and states.&#x20;

* **id -** internal id of the profile
* **state** - returns the current profile state. See [eSIM Profiles](/api/esim-profiles.md#esim-states)for details of the relevant states.
* **imsi -** IMSI (International Mobile Subscriber Identity) of the eSIM profile
* **iccid** - ICCID (Integrated Circuit Card Identification number) of the eSIM profile. Used for support cases and main identifier. The ICCID of an installed profile is also accessible for the user in the OS settings.
* **isValidEsimProfile()** - returns true, if the object instance contains all the necessary information
* **isInstalled() -** returns true, if the profile is installed (and active) on the device.

{% hint style="info" %}
To check if a profile is **installable**, use\
`profile.state == GigastoreESIMProfile.State.Released` .&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/android-sdk/all-profiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
